


# PostgreSQL High Performance Cookbook
This is the code repository for [PostgreSQL High Performance Cookbook](https://www.packtpub.com/big-data-and-business-intelligence/postgresql-high-performance-cookbook?utm_source=github&utm_medium=repository&utm_campaign=9781785284335), published by [Packt](https://www.packtpub.com/?utm_source=github). It contains all the supporting project files necessary to work through the book from start to finish.
## About the Book
PostgreSQL is one of the most powerful and easy to use database management systems. It has strong support from the community and is being actively developed with a new release every year. PostgreSQL supports the most advanced features included in SQL standards. It also provides NoSQL capabilities and very rich data types and extensions. All of this makes PostgreSQL a very attractive solution in software systems.

If you run a database, you want it to perform well and you want to be able to secure it. As the world’s most advanced open source database, PostgreSQL has unique built-in ways to achieve these goals. This book will show you a multitude of ways to enhance your database’s performance and give you insights into measuring and optimizing a PostgreSQL database to achieve better performance.
## Instructions and Navigation
All of the code is organized into folders. Each folder starts with a number followed by the application name. For example, Chapter02.



The code will look like the following:
```
$ phoronix-test-suite benchmark pts/himeno
Phoronix Test Suite v6.8.0
 To Install: pts/himeno-1.2.0
 ...
 1 Test To Install
 pts/himeno-1.2.0:
 Test Installation 1 of 1
 1 File Needed
 Downloading: himenobmtxpa.tar.bz2
 Started Run 2 @ 05:53:40
 Started Run 3 @ 05:54:35 [Std. Dev: 1.66%]
Test Results:
 1503.636072
 1512.166077
 1550.985494
Average: 1522.26 MFLOPS
```

In general, a modern Unix-compatible platform should be able to run PostgreSQL. To make
the most out of this book, you also require CentOS 7. The minimum hardware required to
install and run PostgreSQL is as follows:
1 GHz processor
1 GB of RAM
512 MB of HDD

## Related Products
* [PostgreSQL 9 High Availability Cookbook](https://www.packtpub.com/big-data-and-business-intelligence/postgresql-9-high-availability-cookbook?utm_source=github&utm_medium=repository&utm_campaign=9781849516969)

* [PostgreSQL 9.0 High Performance](https://www.packtpub.com/big-data-and-business-intelligence/postgresql-90-high-performance?utm_source=github&utm_medium=repository&utm_campaign=9781849510301)

* [PostgreSQL 9 Administration Cookbook: LITE Edition](https://www.packtpub.com/big-data-and-business-intelligence/postgresql-9-administration-cookbook-lite-edition?utm_source=github&utm_medium=repository&utm_campaign=9781849516204)

### Suggestions and Feedback
[Click here](https://docs.google.com/forms/d/e/1FAIpQLSe5qwunkGf6PUvzPirPDtuy1Du5Rlzew23UBp2S-P3wB-GcwQ/viewform) if you have any feedback or suggestions.
### Download a free PDF

 <i>If you have already purchased a print or Kindle version of this book, you can get a DRM-free PDF version at no cost.<br>Simply click on the link to claim your free PDF.</i>
<p align="center"> <a href="https://packt.link/free-ebook/9781785284335">https://packt.link/free-ebook/9781785284335 </a> </p>